Bug 4321 - 2014.1: Can't start bumblebeed: [ERROR]Module 'nvidia-current' is not found
: 2014.1: Can't start bumblebeed: [ERROR]Module 'nvidia-current' is not found
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High major
: 2014 Fresh R4
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-15 18:54 MSD by Andrey Ponomarenko
Modified: 2014-09-26 15:48 MSD (History)
5 users (show)

See Also:
RPM Package: bumblebee
ISO-related:
Bad POT generating:
Upstream:


Attachments
XFdrake (14.70 KB, image/jpeg)
2014-09-25 12:13 MSD, VictorR2007
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2014-08-15 18:54:52 MSD
Description of problem:
The bumblebeed daemon failed to start on 2014.1 due to an error:

/usr/sbin/bumblebeed
[ERROR]Module 'nvidia-current' is not found

For this reason setup of Optimus is not possible on machines with hybrid graphics (nvidia + intel integrated graphics).

How reproducible:always
Comment 1 VictorR2007 2014-09-24 22:56:15 MSD
Просто у вас нет записи "nvidia-current && bumblebee" в файле modprobe.conf
Это предположение.
Я себе для установки без последующей настройки и правки файлов делал этот пакет http://abf-downloads.rosalinux.ru/victorr2007_personal/repository/rosa2014.1/SRPMS/main/release/bumblebee-3.2.1-3.src.rpm
Comment 2 VictorR2007 2014-09-25 02:34:46 MSD
Да, еще забыл.
А вы удалили пакет x11-driver-video-nouveau?
Если этот пакет установлен, bumblebee не будет работать
с nvidia-current.
Если интересно, на форуме последнее обсуждение 
"Установка bumblebee без правки файлов" здесь
http://forum.rosalab.ru/viewtopic.php?f=48&t=4112&p=31933&hilit=bumblebee#p31933
Comment 3 Andrey Ponomarenko 2014-09-25 09:30:00 MSD
Fixed in 3.2.1-2.

The issue is that there is no "nvidia-current" driver in 2014.1. It has been renamed to "nvidia340".

The requirement for "x11-driver-video-nouveau" has been removed from the package.

Please make sure you have updated to the latest nvidia drivers package: x11-driver-video-nvidia340-340.24-4

Thank you.
Comment 4 Vladimir Potapov 2014-09-25 10:05:56 MSD
(In reply to comment #2)
> Да, еще забыл.
> А вы удалили пакет x11-driver-video-nouveau?
> Если этот пакет установлен, bumblebee не будет работать
> с nvidia-current.
> Если интересно, на форуме последнее обсуждение 
> "Установка bumblebee без правки файлов" здесь
> http://forum.rosalab.ru/viewtopic.
> php?f=48&t=4112&p=31933&hilit=bumblebee#p31933
Да, мы изучали эту тему. В 2014 Росе установка драйверов для гибридной графики должна произвдиться полностью автоматически - через XFdrake.
Были бы благодарны за тестирование.
Comment 5 VictorR2007 2014-09-25 12:13:29 MSD
Created attachment 3250 [details]
XFdrake

Пока через XFdrake не выходит настроить.
Хотя x11-driver-video-nvidia340 доступен к установке,
выдает это.

[root@asus ~]# harddrake2 
Warning: skip "nice_bus" field => "PCI Express"

Warning: skip "sysfs_device" field => "/sys/bus/pci/devices/0000:01:00.0"

Warning: skip "is_pciexpress" field => "1"

Warning: skip "Handlers" field => "HASH(0x9895cf0)"

modinfo: ERROR: Module Card:NVIDIA GeForce, Quadro or NVS family (nouveau/nvidia340) not found.
Comment 6 VictorR2007 2014-09-25 12:33:58 MSD
bumblebee-3.2.1-4-rosa2014.1.i586.rpm нормально установил дрова.
Жать что не тянет за собой primus.
Пользователям придется его отдельно устанавливать.
Но не пишет nvidia && bumblebee в modprobe.conf
Кстати, и вновь собранный bumblebee-3.2.1-5 тоже не пишет.
Там в спеке записано

echo "nvidia && bumblebee" > %{buildroot}%{_sysconfdir}/bumblebee/modprobe.conf

может нужно так

echo "nvidia && bumblebee" > %{buildroot}%{_sysconfdir}/modprobe.conf
Comment 7 Andrey Ponomarenko 2014-09-25 12:51:30 MSD
Виктор, спасибо за Вашу помощь в обновлении этого пакета.

Большинство Ваших наработок уже портированы в ROSA Fresh R4.

Для диагностики некорректной работы XFdrake и др. возможных проблем, пожалуйста, сделайте пробу вашего компьютера с помощью утилиты hw-probe:

http://hw.rosalinux.ru/index.php?show=check

Из полученных логов мы сможем понять, что именно не работает.

Для R4 (2014.1) команда для установки утилиты и снятия пробы:

sudo urpmi hw-probe
sudo hw-probe -all -upload -id PC_NAME

Спасибо.
Comment 8 VictorR2007 2014-09-25 13:51:45 MSD
(In reply to comment #7)
> Виктор, спасибо за Вашу помощь в обновлении этого пакета.
> 
> Большинство Ваших наработок уже портированы в ROSA Fresh R4.
> 
> Для диагностики некорректной работы XFdrake и др. возможных проблем,
> пожалуйста, сделайте пробу вашего компьютера с помощью утилиты hw-probe:
> 
> http://hw.rosalinux.ru/index.php?show=check
> 
> Из полученных логов мы сможем понять, что именно не работает.
> 
> Для R4 (2014.1) команда для установки утилиты и снятия пробы:
> 
> sudo urpmi hw-probe
> sudo hw-probe -all -upload -id PC_NAME
> 
> Спасибо.
Да, сейчас сделаю.
Я кстати себе немного переделал ваш последний bumblebee.spec
Убрал из %files
%{_sysconfdir}/bumblebee/modprobe.conf
и в конце спека убрал
echo "nvidia && bumblebee" > %{buildroot}%{_sysconfdir}/bumblebee/modprobe.conf
А вот в секцию %post
добавил это

%post
%_post_service bumblebeed
# Simple: still needs this since in release 3 services were not set
# enabled and seams that still isnt properly handeled in %%_post_service
if [ "$1" -ge "1" ]; then
  # Enable (but don't start) the unit by default
  /bin/systemctl enable bumblebeed.service
  # Start bumblebeed service
  /bin/systemctl start bumblebeed.service
  # Write file modprobe
  echo "nvidia && bumblebee" > %{_sysconfdir}/modprobe.conf
fi

Cтрока echo "nvidia && bumblebee" > %{_sysconfdir}/modprobe.conf
записывает "nvidia && bumblebee" в modprobe.conf 
после установки пакета.
Все отрабатыватся идеально.
При обновлении строка перезаписывается, если была записана ранее.
Удалял, обновлял, все работает.
Comment 9 VictorR2007 2014-09-25 13:55:59 MSD
[root@asus ~]# hw-probe -all -upload -id PC_NAME
Probe for hardware ... Ok
Uploaded to DB, Thank you!
Probe URL: http://hw.rosalinux.ru/index.php?probe=a66cf9e413
[root@asus ~]#
Comment 10 Eugene Shatokhin 2014-09-25 16:01:40 MSD
Кстати, а зачем 'nvidia && bumblebee' в /etc/modprobe.conf? Чего хочется этим добиться? Это не похоже на обычные настройки, которые используются в /etc/modprobe.d/*.conf.

Без этого, действительно, не работает?

На мой взгляд, не стоит всё же затирать текущее содержимое /etc/modprobe.conf. Мало ли, кем этот файл ещё используется. К тому же, его использование, если не ошибаюсь, deprecated. modprobe может его и игнорировать, а может и использовать.

Если нужно, чтобы 'modprobe nvidia' загружал модуль nvidia с какими-то нестандартными параметрами, это можно сделать настройками в, скажем, /etc/modprobe.d/nvidia_bumblebee.conf.

Если нужно, чтобы какие-то дополнительные модули ядра загружались при загрузке системы, это можно сделать через /etc/modules-load.d/*.conf.
Comment 11 VictorR2007 2014-09-25 16:24:40 MSD
Действительно.
Убрал строку из modprobe.conf
и программа работает.
Вы хорошо починили пакет.
Спасибо.
У меня пока вылезла другая проблема.
Я все-же решил произвести настройку через XFdrake.
Но после перезагрузки упало разрешение.
Пока не выходит вернуть разрешение 1920x1080.
Comment 12 VictorR2007 2014-09-25 18:07:52 MSD
В общем, как следствие, после изменения пакета nvidia
нужно лечить пакет primus.
Я попробовал его пересобрать,
но в итоге получаю
[victor@asus ~]$ primusrun glxgears
primus: fatal: failed to load any of the libraries: /usr/$LIB/nvidia/libGL.so.1
libnvidia-tls.so.340.24: cannot open shared object file: No such file or directory
[victor@asus ~]$ 
Или $LIB в пути виновато.
Пока не разбирался.
Comment 13 Eugene Shatokhin 2014-09-25 18:42:33 MSD
(In reply to comment #12)
> В общем, как следствие, после изменения пакета nvidia
> нужно лечить пакет primus.

Какой из x11-driver-video-nvidia* установлен? 
Я обновил эти пакеты недавно, чтобы они ставили и symlink /usr/lib64/nvidia на /usr/lib64/nvidia<версия> (lib вместо lib64 для i586, само собой). 

А файл /usr/lib/nvidia/libGL.so.1 или /usr/lib64/nvidia/libGL.so.1 в системе есть? Если да, то, вероятно, $LIB в primus как-то не так ставится, действительно.
Comment 14 VictorR2007 2014-09-25 18:49:58 MSD
Собрал себе локально primus.
Но только для i586.
Просто в src в файле primusrun
заменил $LIB на %{_libdir}.
Начал работать primusrun.
Comment 15 VictorR2007 2014-09-25 18:51:40 MSD
(In reply to comment #13)
> (In reply to comment #12)
> > В общем, как следствие, после изменения пакета nvidia
> > нужно лечить пакет primus.
> 
> Какой из x11-driver-video-nvidia* установлен? 
> Я обновил эти пакеты недавно, чтобы они ставили и symlink /usr/lib64/nvidia
> на /usr/lib64/nvidia<версия> (lib вместо lib64 для i586, само собой). 
> 
> А файл /usr/lib/nvidia/libGL.so.1 или /usr/lib64/nvidia/libGL.so.1 в системе
> есть? Если да, то, вероятно, $LIB в primus как-то не так ставится,
> действительно.

x11-driver-video-nvidia340
Comment 16 VictorR2007 2014-09-25 18:57:59 MSD
(In reply to comment #13)
> (In reply to comment #12)
> > В общем, как следствие, после изменения пакета nvidia
> > нужно лечить пакет primus.
> 
> Какой из x11-driver-video-nvidia* установлен? 
> Я обновил эти пакеты недавно, чтобы они ставили и symlink /usr/lib64/nvidia
> на /usr/lib64/nvidia<версия> (lib вместо lib64 для i586, само собой). 
> 
> А файл /usr/lib/nvidia/libGL.so.1 или /usr/lib64/nvidia/libGL.so.1 в системе
> есть? Если да, то, вероятно, $LIB в primus как-то не так ставится,
> действительно.

В пакете primus ещё проблема в том, что в путях осталось nvidia-current.
В спеке не помню, а в primusrun сегодня исправлял.
Comment 17 VictorR2007 2014-09-25 20:33:08 MSD
Пакет primus, который Pulfer сделал три дня назад, не работает совсем.
Я изменил в его пакете этот файл так https://abf.rosalinux.ru/victorr2007/primus/blob/master/primusrun
При сборке ошибка теста, но в итоге программа отлично работает.
Comment 18 VictorR2007 2014-09-25 21:36:47 MSD
Кстати, прогресс налицо.
Ранее в steam, в версии x86_64 невозможно было запустить игру
Метро командой "primusrun %command%".
Только в i586.
Команда "optirun %command%" вообще никогда не могла запустить
эту игру. Только primusrun.
Сейчас при использовании пакета primus из поста выше и остальных пакетов
из стандартных реп, она впервые начала работать на x86_64.
И работать качественно. Нет повышенного шума ноутбука.
Comment 19 Andrey Bondrov 2014-09-25 21:50:55 MSD
(In reply to comment #17)
> Пакет primus, который Pulfer сделал три дня назад, не работает совсем.

Не, я точно его не делал 3 дня назад. :-) В последний раз я ещё в прошлом году что-то там менял: https://abf.rosalinux.ru/import/primus/commits/rosa2014.1

Возможно, что тогда он работал, а сейчас что-то в системе изменилось, что его сломало.
Comment 20 VictorR2007 2014-09-25 22:06:20 MSD
(In reply to comment #19)
> (In reply to comment #17)
> > Пакет primus, который Pulfer сделал три дня назад, не работает совсем.
> 
> Не, я точно его не делал 3 дня назад. :-) В последний раз я ещё в прошлом
> году что-то там менял:
> https://abf.rosalinux.ru/import/primus/commits/rosa2014.1
> 
> Возможно, что тогда он работал, а сейчас что-то в системе изменилось, что
> его сломало.
Значит попало в пересборку от вашего имени.
Мне это интересно, есть время, и я вижу как идет сборка.
https://abf.rosalinux.ru/build_lists/2242078
Может ребилд.
Comment 21 Andrey Bondrov 2014-09-25 22:17:28 MSD
(In reply to comment #20)
> (In reply to comment #19)
> > (In reply to comment #17)
> > > Пакет primus, который Pulfer сделал три дня назад, не работает совсем.
> > 
> > Не, я точно его не делал 3 дня назад. :-) В последний раз я ещё в прошлом
> > году что-то там менял:
> > https://abf.rosalinux.ru/import/primus/commits/rosa2014.1
> > 
> > Возможно, что тогда он работал, а сейчас что-то в системе изменилось, что
> > его сломало.
> Значит попало в пересборку от вашего имени.
> Мне это интересно, есть время, и я вижу как идет сборка.
> https://abf.rosalinux.ru/build_lists/2242078
> Может ребилд.

Ага, это был ребилд пакетов Контриба, которые не прошли тесты.
Comment 22 Eugene Shatokhin 2014-09-26 11:03:27 MSD
Спасибо!

primus поломался, скорее, после того, как я поменял наш набор пакетов с nvidia drivers. Пути к библиотекам поменялись. Primus мне надо было бы сразу после этого починить, конечно, но, увы.

Сейчас у нас поддерживается (для 2014.1) 3 стабильных ветки драйверов nvidia (nvidia340, nvidia304, nvidia173), их мы рекомендуем ставить пользователям. Есть и nvidia-current, для тех кому позарез надо самое свежее. Впрочем, пока он совпадает с nvidia340, потом обновим.

Появятся новые стабильные ветки драйвера - сделаем пакеты и для них.

Так надёжнее, чем раньше было с current и одним long-lived, из которого время от времени пропадала поддержка старых видеокарт.

Если пользователь ставит всё с помощью XFdrake (рекомендуемый вариант), XFdrake автоматически выберет подходящий драйвер.
Comment 23 VictorR2007 2014-09-26 12:47:08 MSD
Последние стабильные 343.22.
Comment 24 Eugene Shatokhin 2014-09-26 13:15:38 MSD
(In reply to comment #23)
> Последние стабильные 343.22.

Я имел в виду long-lived branches, неточно выразился. 343.22 - это current. Когда время будет, обновим nvidia-current. Если же ветка 343.x станет long-lived у NVidia, сделаем пакеты x11-driver-video-nvidia343 и т.д.
Comment 25 Eugene Shatokhin 2014-09-26 13:55:58 MSD
По primus:
Попробуйте вот эти сборки primus:
i586:
https://abf.rosalinux.ru/build_lists/2251263

x86_64:
https://abf.rosalinux.ru/build_lists/2251276

Я там сделал правки наподобие того, что у Вас, с некоторыми изменениями (напр., %{_libdir} в primusrun автоматически не подставится, надо это явно делать и пр.).

Ваш пакет с primus перед установкой стоит удалить, а то у него версия больше (3). Там версия 0.1 вроде так и остаётся, а вот release number я поднял до 3, точнее, "0.%{git}.3".
Comment 26 VictorR2007 2014-09-26 14:07:08 MSD
(In reply to comment #25)
> По primus:
> Попробуйте вот эти сборки primus:
> i586:
> https://abf.rosalinux.ru/build_lists/2251263
Эта работает.
Через полчаса смогу перезагрузиться в x86_64 и посмотреть.
Comment 27 VictorR2007 2014-09-26 15:28:01 MSD
Primus x86_64 тоже нормально работает.
Comment 28 Eugene Shatokhin 2014-09-26 15:48:03 MSD
(In reply to comment #27)
> Primus x86_64 тоже нормально работает.

Отлично! Спасибо за помощь! 
Я отправил эти пакеты публиковаться.

Тесты не проходили, кстати, из-за того, что репозиторий non-free при сборке не был подключен, а primus требует bumblebee оттуда.

С bumblebee & primus разобрались, баг я закрываю.

Если с разрешением при использовании XFdrake проблема осталась, пожалуйста, заведите для неё отдельный баг.